Bug 1732145 - Console: Improve config.openshift.io resource description
Summary: Console: Improve config.openshift.io resource description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 19:22 UTC by Samuel Padgett
Modified: 2019-10-16 06:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1732144
: 1732146 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:30:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
Descriptions in console (248.56 KB, image/png)
2019-07-22 19:22 UTC, Samuel Padgett
no flags Details
GlobalConfiguration (88.93 KB, image/png)
2019-07-26 07:01 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 387 None None None 2019-07-23 11:44:36 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:30:37 UTC

Description Samuel Padgett 2019-07-22 19:22:27 UTC
Created attachment 1592684 [details]
Descriptions in console

The various cluster config config.openshift.io resource descriptions have been copied and pasted from each other and have no detail. Administrators don't know what these configurations are for. I've attached a screenshot of how this looks in console (not good) and why we want to update each description.

Per Clayton, this is a high severity bug.

Comment 2 Samuel Padgett 2019-07-23 14:41:10 UTC
Moving back to POST because the cluster-config-operator needs to be updated with the new description.

Comment 5 Yadan Pei 2019-07-26 07:01:02 UTC
I didn't see Descriptions on Cluster Configuration page on latest OKD

Sam, can you confirm?

Comment 6 Yadan Pei 2019-07-26 07:01:35 UTC
Created attachment 1593607 [details]
GlobalConfiguration

Comment 7 Yadan Pei 2019-07-26 07:19:02 UTC
Do we have console PRs added for this bug?

Comment 8 Samuel Padgett 2019-07-26 14:14:27 UTC
This bug is the validate the description in the API, not the global config table. That's still a work in progress PR. We haven't merged in part because the descriptions were poor. You should check the API explorer or `oc explain`

Comment 9 Yadan Pei 2019-07-29 06:51:45 UTC
$ oc explain consoles --api-version=config.openshift.io/v1
KIND:     Console
VERSION:  config.openshift.io/v1

DESCRIPTION:
     Console holds cluster-wide configuration for the web console, including the
     logout URL, and reports the public URL of the console. The canonical name
     is `cluster`.

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

   spec	<Object> -required-
     spec holds user settable values for configuration

   status	<Object>
     status holds observed values from the cluster. They may not be overridden.

Verified on 4.2.0-0.nightly-2019-07-28-222114 with cluster-config-operator commit: 7d44f45dcc2eab96e95628bd7459e4776260b01f

[yapei@dhcp-141-192 verification-tests]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.2.0-0.nightly-2019-07-28-222114   True        False         5h48m   Cluster version is 4.2.0-0.nightly-2019-07-28-222114
[yapei@dhcp-141-192 verification-tests]$ oc adm release info --commits "registry.svc.ci.openshift.org/ocp/release:4.2.0-0.nightly-2019-07-28-222114" | grep cluster-config
  cluster-config-operator                       https://github.com/openshift/cluster-config-operator                       7d44f45dcc2eab96e95628bd7459e4776260b01f
[yapei@dhcp-141-192 cluster-config-operator]$ git log 7d44f45dcc2eab96e95628bd7459e4776260b01f -1 -- vendor/github.com/openshift/library-go/
commit c1bc675cbe2fa73c16e5280dead93ed627667464
Author: Mike Dame <mdame@redhat.com>
Date:   Thu Jul 25 15:40:46 2019 -0400

    bump(*)
[yapei@dhcp-141-192 cluster-config-operator]$ git log c1bc675cbe2fa73c16e5280dead93ed627667464  --patch-with-stat -1 -- glide.lock 
......
 - name: github.com/openshift/api
-  version: d75a161a0f4ded1815ec24321fc1f8609c255cdb
+  version: b7d4eb0fa1e0c1e03f97c97c08d0ef1f025c0838

[yapei@dhcp-141-192 api]$ git log b7d4eb0fa1e0c1e03f97c97c08d0ef1f025c0838 | grep '#387'
    Merge pull request #387 from spadgett/console-description

Comment 10 Yadan Pei 2019-07-29 06:52:25 UTC
$ oc version
Client Version: version.Info{Major:"4", Minor:"2+", GitVersion:"v4.2.0", GitCommit:"2e9d4a117", GitTreeState:"clean", BuildDate:"2019-07-28T17:15:26Z", GoVersion:"go1.12.6", Compiler:"gc", Platform:"linux/amd64"}
Server Version: version.Info{Major:"1", Minor:"14+", GitVersion:"v1.14.0+1682e38", GitCommit:"1682e38", GitTreeState:"clean", BuildDate:"2019-07-28T20:08:40Z", GoVersion:"go1.12.6", Compiler:"gc", Platform:"linux/amd64"}

Comment 11 errata-xmlrpc 2019-10-16 06:30:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.